package com.iamberry.wechat.face.thanksgiving;

import com.iamberry.wechat.core.entity.thanksgiving.ThanksGiving;

import java.util.List;

/**
 *  活动-领取优惠券接口
 * @author
 * @Date 2018-12-11
 */
public interface ThanksGivingService {
    /**
     * 获取集合
     * @param  thanksGiving
     * @return List
     */
    List<ThanksGiving> getThanksGivingList(ThanksGiving thanksGiving);

    /**
     * 查询单条数据
     * @param  id
     * @return  thanksGiving
     */
    ThanksGiving  getThanksGivingById(Integer  id);

    /**
     * 查询手机号码
     * @param  phone
     * @return  thanksGiving
     */
    ThanksGiving  getThanksGivingByPhone(String  phone);

    /**
     * 增加数据
     * @param  thanksGiving
     * @return Integer
     */
    Integer  save(ThanksGiving  thanksGiving);
    /**
     * 修改数据
     * @param  thanksGiving
     * @return Integer
     */
    Integer  update(ThanksGiving  thanksGiving);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
}